# eric4.Plugins.WizardPlugins.QRegExpWizard.QRegExpWizardRepeatDialog

Module implementing a dialog for entering repeat counts.

### Global Attributes

None

### Classes

QRegExpWizardRepeatDialog | Class implementing a dialog for entering repeat counts.

### Functions

None

## QRegExpWizardRepeatDialog

Class implementing a dialog for entering repeat counts.

### Derived from

QDialog, Ui_QRegExpWizardRepeatDialog

### Class Attributes

None

### Class Methods

None

### Methods

QRegExpWizardRepeatDialog | Constructor
getRepeat | Public method to retrieve the dialog's result.
on_lowerSpin_valueChanged | Private slot to handle the lowerSpin valueChanged signal.
on_upperSpin_valueChanged | Private slot to handle the upperSpin valueChanged signal.

### Static Methods

None

#### QRegExpWizardRepeatDialog (Constructor)

QRegExpWizardRepeatDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

#### QRegExpWizardRepeatDialog.getRepeat

getRepeat()

Public method to retrieve the dialog's result.

Returns:
  ready formatted repeat string (string)

#### QRegExpWizardRepeatDialog.on_lowerSpin_valueChanged

on_lowerSpin_valueChanged(value)

Private slot to handle the lowerSpin valueChanged signal.

value
  value of the spinbox (integer)

#### QRegExpWizardRepeatDialog.on_upperSpin_valueChanged

on_upperSpin_valueChanged(value)

Private slot to handle the upperSpin valueChanged signal.

value
  value of the spinbox (integer)

Up